Errors reported in new XAMPP 1.7.0

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Errors reported in new XAMPP 1.7.0

Postby 7P-Darkman » 25. December 2008 19:23

Hello friends...


After the update of my XAMPP for the latest version, I started to receive error messages, which relays below:
____________________________________________________________________________________________
Tipo de evento: Erro
Fonte de evento: MySQL
Categoria do evento: Nenhuma
Id. do evento: 100
Data: 25/12/2008
Hora: 13:35:10
Usuário: N/A
Computador: SERVER01
Descrição:
Incorrect definition of table mysql.event: expected column 'sql_mode' at position 14 to have type set('REAL_AS_FLOAT','PIPES_AS_CONCAT','ANSI_QUOTES','IGNORE_SPACE','NOT_USED','ONLY_FULL_GROUP_BY','NO_UNSIGNED_SUBTRACTION','NO_DIR_IN_CREATE','POSTGRESQL','ORACLE','MSSQL','DB2','MAXDB','NO_KEY_OPTIONS','NO_TABLE_OPTIONS','NO_FIELD_OPTIONS','MYSQL323','MYSQL40','ANSI','NO_AUTO_VALUE_ON_ZERO','NO_BACKSLASH_ESCAPES','STRICT_TRANS_TABLES','STRICT_ALL_TABLES','NO_ZERO_IN_DATE','NO_ZERO_DATE','INVALID_DATES','ERROR_FOR_DIVISION_BY_ZERO','TRADITIONAL','NO_AUTO_CREATE_USER','HIGH_NOT_PRECEDENCE','NO_ENGINE_SUBSTITUTION','PAD_CHAR_TO_FULL_LENGTH'), found type set('REAL_AS_FLOAT','PIPES_AS_CONCAT','ANSI_QUOTES','IGNORE_SPACE','NOT_USED','ONLY_FULL_GROUP_BY','NO_UNSIGNED_SUBTRACTION','NO_DIR_IN_CREATE','POSTGRESQL','ORACLE','MSSQL','DB2','MAXDB','NO_KEY_OPTIONS','NO_TABLE_OPTIONS','NO_FIELD_OPTIONS','MYSQL323','MYSQL40','ANSI','NO_AUTO_VALUE_ON_ZERO','NO_BACKSLASH_ESCAPES','STRICT_TRANS_TABLES','STRICT_ALL_TABLES','

For more information, see Help and Support Center at http://www.mysql.com.
___________________________________________________________________________________________

Any idea what might be causing this error, or is some bug in XAMPP?

Respectfully,



7P-Darkman

(P.S.: Happy Christmas for all !)
User avatar
7P-Darkman
 
Posts: 3
Joined: 11. September 2008 13:17
Location: Pantanal - Brazil

Re: Errors reported in new XAMPP 1.7.0

Postby Sharley » 25. December 2008 19:50

I believe you may have to update your version 5 MySQL tables to run in the latest 5.1 version of MySQL.

This post holds perhaps the key for you and the file to use to do the upgrade...
http://community.apachefriends.org/f/viewtopic.php?p=131508#p131508

...and this post by the developer may have more details and links for you to read up on the MySQL update and changes:
http://community.apachefriends.org/f/viewtopic.php?p=131452#p131452

Good luck.
User avatar
Sharley
AF Moderator
 
Posts: 3316
Joined: 03. October 2008 05:10
Location: Yeppoon, Australia Time Zone: GMT/UTC+10
Operating System: Win 7 Pro 32bit/XP Pro SP3

Re: Errors reported in new XAMPP 1.7.0

Postby 7P-Darkman » 26. December 2008 22:09

Hello Sharley,


Thank you very much for your tip, but I do not know if this is the problem, because I have on my site 3 databases, and in only one of them is that the error occurs. Anyway, I find the links that you passed around and see if I find the source of the error.

Thank you again,


7P-Darkman
User avatar
7P-Darkman
 
Posts: 3
Joined: 11. September 2008 13:17
Location: Pantanal - Brazil

Re: Errors reported in new XAMPP 1.7.0

Postby 7P-Darkman » 26. December 2008 23:01

Hello again, Sharley,


You were quite right... I'm execute the procedure recommended by Wiedmann in this post, and the problem are totaly solve:

Go to the directory "\xampp\mysql\bin" and execute the programm "mysql_update.exe".


Again, thank you for your help, and wish everyone a great end of year!

Respectfully,


7P-Darkman
User avatar
7P-Darkman
 
Posts: 3
Joined: 11. September 2008 13:17
Location: Pantanal - Brazil


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 38 guests